ClassCastException (Java Platform SE 8 )
Keywords: java.lang.ClassCastException class
Date: 2015-05-24

compact1, compact2, compact3
java.lang

## Class ClassCastException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.ClassCastException

- All Implemented Interfaces:
    Serializable

      public class ClassCastException
      extends RuntimeException

  Thrown to indicate that the code has attempted to cast an object to a subclass of which it is not an instance. For example, the following code generates a `ClassCastException`:

  >          Object x = new Integer(0);
  >          System.out.println((String)x);

  Since:
    JDK1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassCastException()` Constructs a `ClassCastException` with no detail message.
    `ClassCastException(String s)` Constructs a `ClassCastException` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassCastException

          public ClassCastException()

      Constructs a `ClassCastException` with no detail message.

    - #### ClassCastException

          public ClassCastException(String s)

      Constructs a `ClassCastException` with the specified detail message.
      Parameters:
        `s` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.